Skip to content

Investment revaluation

Request

The official holding valuation for a fund.

Security
Class_oAuth(Required scopes: fund.read)
Path
businessCodestringrequired

Class business code

Example:demo-business
fundCodestringrequired

Class entity code

Example:demo-fund
Query
yearintegerrequired

The financial year to retrieve information

Example:year=2024
groupBystring

The grouping method to use on the investment accounts

Enum:"MarketType""Reference""AssetPool""GL"
Example:groupBy=MarketType
curl -i -X GET \
  'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/investment-reports/official-holding-valuation-details?year=2024&groupBy=MarketType' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success (Ok)

Bodyapplication/json
ErrorsArray of objects
Dataobjectrequired

Fund-level summary of holding valuations by portfolio.

Response
{ "Data": { "PortfolioDetailList": [ { "MarketTypeDetailList": [ { "HoldingDetailList": [ {} ], "MarketTypeId": "ASX", "MarketTypeName": "Australian Securities Exchange" } ], "PortfolioId": "4bc1b3db-67ac-4eab-ab75-a087c72aa16a" } ], "FundCode": "demo-fund", "FundName": "DEMO_SMSF_2025", "atDate": "2025-11-01" }, "Errors": [ { "Code": "string", "Message": "string" } ] }